﻿using UnityEditor;
using UnityEngine;
using UnityEngine.XR;

public class Build
{
    [MenuItem("File/BuildDemo")]
    static void BuildDemo()
    {
        string[] scenes = { "Assets/Scenes/Demo_Outpost.unity" };

        string[] args = System.Environment.GetCommandLineArgs();
        string folder = "";
        for (int i = 0; i < args.Length; i++)
        {
            Debug.Log("ARG " + i + ": " + args[i]);
            if (args[i] == "--mvr-build-folder")
            {
                folder = args[i + 1];
            }
        }

        bool xr = XRSettings.enabled;

        if( !xr )
        {
            Debug.Log("Enabling XR.");
            XRSettings.enabled = true;
        }

        BuildPipeline.BuildPlayer(scenes, folder + "/demo_outpost/Demo_Outpost.exe", BuildTarget.StandaloneWindows64, BuildOptions.None);

        XRSettings.enabled = xr;
    }
}
